/**
 * 
 */
package de.lazyzero.kkMulticopterFlashTool.gui;

import javax.swing.JDialog;
import javax.swing.JLabel;

import com.jgoodies.forms.debug.FormDebugPanel;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

import de.lazyzero.kkMulticopterFlashTool.KKMulticopterFlashTool;

/**
 * @author Christian Moll
 *
 */
public class MultiFlashConfigDialog extends JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private FormDebugPanel panel;
	private CellConstraints cc;
	
	public MultiFlashConfigDialog() {
		super();
		initGUI();
		
	}

	private void initGUI() {
		//create the CellContraints
		cc  = new CellConstraints();
		
		// create the Layout for Panel this
		String panelColumns = "pref,3dlu,80dlu,3dlu,pref,3dlu,50dlu,3dlu,pref,fill:pref:grow,3dlu,pref";
		String panelRows = "pref,3dlu,pref";
		FormLayout panelLayout = new FormLayout(panelColumns, panelRows);
		
		panel = new FormDebugPanel();
		panel.setLayout(panelLayout);
		
		panel.add(new JLabel("TEST"), cc.xy(1, 1));
		
		this.add(panel);
		this.pack();
		this.setLocationRelativeTo(KKMulticopterFlashTool.getInstance());
	}

}
